Bug 288681 - yum reports file sizes inconsistently
yum reports file sizes inconsistently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 19:39 EDT by Jack Tanner
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 10:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-09-12 19:39:49 EDT
Description of problem:

Yum uses the same visual presentation for file sizes of packages that are
installed and packages that are in a repo, but it computes the file sizes
differently.

Version-Release number of selected component (if applicable):

yum-3.2.4-2.fc7

How reproducible:

The following example uses yum info, but the same problem occurs on yum update.

$ yum info kernel
Installed Packages
Name   : kernel
Arch   : x86_64
Version: 2.6.22.1
Release: 41.fc7
Size   : 63 M
Repo   : installed
Summary: The Linux kernel (the core of the Linux operating system)

Description:
The kernel package contains the Linux kernel (vmlinuz), the core of any
Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.


Name   : kernel
Arch   : x86_64
Version: 2.6.22.4
Release: 65.fc7
Size   : 63 M
Repo   : installed
Summary: The Linux kernel (the core of the Linux operating system)

Description:
The kernel package contains the Linux kernel (vmlinuz), the core of any
Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.


Available Packages
Name   : kernel
Arch   : x86_64
Version: 2.6.22.5
Release: 76.fc7
Size   : 17 M
Repo   : updates
Summary: The Linux kernel (the core of the Linux operating system)
Description:
The kernel package contains the Linux kernel (vmlinuz), the core of any
Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.
Comment 1 Seth Vidal 2007-09-12 19:56:23 EDT
So you think that the installed package should display the rpm-file size and not
the installed size?

or do you think the remote package should display the installed size and not the
size of what you have to download?
Comment 2 Matthew Miller 2007-09-12 20:12:36 EDT
Can we have it both ways? The "yum info" case could have another line to
describe the download size.

And for yum update, I think the size column should list the installed size --
there already is the "Total download size: 171 M" line.
Comment 3 Jack Tanner 2007-09-13 22:12:31 EDT
From a user's perspective, yum operates on rpms, and less so on their contents.
It should by default report rpm-file sizes everywhere for the sake of usability
and consistency.

Arguably, installed file size is not very relevant when one is doing an update
(after all, one already has the package installed, and installed size is
unlikely to change dramatically), so there's little reason to try to display the
installed file size there. (Therefore, I disagree with comment #2.) But I can
see how installed file size is useful when one does "yum info" in order to
decide whether or not to install a package, so it could be an additional line there.
Comment 4 Matthew Miller 2007-09-13 22:16:23 EDT
Installed file size is also useful on installed packages if you're trying to
clean up space -- you can judge how worthwhile it is to bother with some
particular thing.
Comment 5 Seth Vidal 2008-03-12 10:40:08 EDT
I'm going to close this wontfix. I believe the behavior it has now is correct.
It's consistent for each type of package and it displays the right info in yum
info per type of package.

None of the arguments so far have convinced me. Got any other arguments?
Comment 6 Matthew Miller 2008-03-12 12:15:42 EDT
Nope. :)
Comment 7 Jack Tanner 2008-03-15 15:46:51 EDT
It just looks weird if yum says "Look, I'm going to download a 10M package, and
that's an update for this 60M package you have." It's comparing apples and
oranges. It could say "Look, I'm going to download 10M (60M uncompressed)
package, and that's an update for this 60M uncompressed package you have." It
could also be smart in yum info:

if (installed) 
  print "Installed Size: 60M"
else if (available for download)
  print "Download Size: 10M"

Note You need to log in before you can comment on or make changes to this bug.